<template>
  <div class="note-todos__item row mb-2">
    <div class="col-2 note-todos__mark-wrp">
      <input
        class="form-check-input todo__completed-mark"
        type="checkbox"
        v-model="todo.completed"
      />
    </div>
    <div class="col-7">
      <input
        type="text"
        class="form-control"
        v-model="todo.text"
        ref="input"
        @keyup.enter="$emit('add-item', $event, index)"
      />
    </div>
    <div class="col-3">
      <button
        type="button"
        @click="$emit('remove', index)"
        class="btn btn-block btn-danger"
      >Удалить</button>
    </div>
  </div>

</template>

<script>
export default {
  props: {
    todo: {
      type: Object,
      required: true
    },
    // Обычно я так не делаю. На скороую руку и так сойдет
    index: {
      type: Number,
      required: true
    }
  },
  methods: {
      setFocusToInput() {
          this.$refs.input.focus();
      }
  }
};
</script>

<style lang="scss">
.note-todos__item {
  border: 1px solid #ccc;
  padding: 8px;
}
</style>